Package org.springframework.security.web.server.authentication

# Class ServerHttpBasicAuthenticationConverter

java.lang.Object
org.springframework.security.web.server.ServerHttpBasicAuthenticationConverter
org.springframework.security.web.server.authentication.ServerHttpBasicAuthenticationConverter

All Implemented Interfaces:
  `Function<org.springframework.web.server.ServerWebExchange,reactor.core.publisher.Mono<org.springframework.security.core.Authentication>>`, `ServerAuthenticationConverter`

public class ServerHttpBasicAuthenticationConverter extends ServerHttpBasicAuthenticationConverter implements ServerAuthenticationConverter
Converts from a `ServerWebExchange` to an `Authentication` that can be authenticated.

Since:
  5.1

## Field Summary

### Fields inherited from class org.springframework.security.web.server.ServerHttpBasicAuthenticationConverter

`BASIC`

## Constructor Summary

Constructors
Constructor
Description
`ServerHttpBasicAuthenticationConverter()`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<org.springframework.security.core.Authentication>`
`convert(org.springframework.web.server.ServerWebExchange exchange)`
Converts a `ServerWebExchange` to an `Authentication`

### Methods inherited from class org.springframework.security.web.server.ServerHttpBasicAuthenticationConverter

`apply, setCredentialsCharset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Constructor Details

### ServerHttpBasicAuthenticationConverter

public ServerHttpBasicAuthenticationConverter()

## Method Details

### convert

public reactor.core.publisher.Mono<org.springframework.security.core.Authentication> convert(org.springframework.web.server.ServerWebExchange exchange)
Description copied from interface: `ServerAuthenticationConverter`
Converts a `ServerWebExchange` to an `Authentication`

Specified by:
  `convert` in interface `ServerAuthenticationConverter`
Parameters:
  `exchange` - The `ServerWebExchange`
Returns:
  A `Mono` representing an `Authentication`